P4_COMPILE_COMMA(3)

NAME
p4_compile_comma - "COMPILE," ( some-xt* -- ) [ANS]

SYNOPSIS

#include <pfe/core-ext.h>

FCode p4_compile_comma(---);

DESCRIPTION

place the execution-token on stack into the dictionary - in traditional forth this is not even the least different than a simple => , but in call-threaded code there's a big difference - so COMPILE, is the portable one. Unlike COMPILE , [COMPILE] and POSTPONE this word does not need the xt to have actually a name, see :NONAME

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>